@import 'src/style/includes/sass_vars_and_mixins.module.scss';


// COUNTRY HERO

.hero {
  background-position: 50% 50%;
  background-size: cover;
  box-shadow: inset 0 -3px 0 rgba(var(--color-brand-base), 0.15);
  position: relative;
  z-index: 1;
  padding: var(--space-xxl) 0 var(--space-xxxl) 0;

  &:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
  }

  &.isProfileImage {
    padding: var(--space-xl) var(--space-l);

    .leadQuestion {
      font-size: 2.6em;
    }
  }

  @include smaller-than-s {
    padding: var(--space-xl) 0 var(--space-xxl) 0;
  }
}

.heroContent {
  position: relative;
  z-index: 1;
}

.leadQuestion {
  font-size: calc(var(--font-size-xxxxl) * 1.15);
  color: var(--color-background-base);
  line-height: var(--font-line-height-tightest);
  display: inline;
  font-weight: 600;
  text-shadow: 0 0 18px rgb(0 0 0), 0 0 50px rgb(0 0 0 / 58%);

  @include smaller-than-l {
    font-size: var(--font-size-xxl);
  }

  @include smaller-than-s {
    font-size: 1.7em;
  }
}

.tagline {
  font-size: var(--font-size-s);
  color: var(--color-background-base);
  text-transform: uppercase;
  letter-spacing: 0.1em;
  text-shadow: 0 0 18px rgb(0 0 0), 0 0 50px rgb(0 0 0 / 58%);
  margin: 0;
}

// PAGE HEADER
.pageHeader {
  display: flex;
  justify-content: space-between;
  align-items: center;

  @include smaller-than-s {
    overflow: scroll;
    padding-top: var(--space-xxs);
    padding-bottom: var(--space-xxs);
  }
}

.metaLink {
  margin-right: var(--space-xs);
}

// NAV BAR
.navBarWrapper {
  padding: var(--space-m) 0;
  display: flex;
  align-items: center;

  @include smaller-than-s {
    padding-left: 0;
  }
}


.navBarName {
  margin-right: var(--space-s);
  display: inline-block;
  font-weight: 600;
  color: var(--color-brand-base);

  @include smaller-than-s {
    margin-right: var(--space-xxs);
  }
}

.navBarIcon {
  margin-right: var(--space-m);
  display: inline-block;
  color: var(--color-brand-base);

  @include smaller-than-s {
    margin-right: var(--space-xs);
  }
}

.lastUpdate {
  font-size: var(--font-size-s);
  display: inline-block;
  color: var(--color-text-weaker);
  // padding: $space-mini $size-small;
  // background: var(--color-brand-base)-lightest;
}

// BOTTOM NAVIGATION
.bottomNavWrapper {
  margin-top: var(--space-l);
  margin-bottom: var(--space-l);
}

.bottomNav {
  display: flex;
  justify-content: space-between;
  padding: var(--space-l) 0;

  &.isFirstPage {
    justify-content: flex-end;

    .bottomNavLink {
      text-align: left;
    }
  }

  @include smaller-than-s {
    padding: 0;
  }
}

.bottomNavLink {
  display: flex;
  min-width: 16em;
  align-items: center;
  justify-content: flex-end;
  text-align: right;

  .bottomNavText {
    margin-right: var(--space-xs);
  }

  &:first-child:not(:last-child) {
    text-align: left;
    justify-content: start;

    .bottomNavText {
      margin-right: 0;
      margin-left: var(--space-xs);
    }
  }

  &:last-child {
    .bottomNavText {
      align-items: flex-end;
    }
  }

  &:hover {
    .bottomNavName {
      text-decoration: underline;
    }
  }

  @include smaller-than-s {
    min-width: unset;
    padding: var(--space-m) 0;
    border-right: none;
    width: 50%;
    border-radius: 0;
    margin: 0;

    &:first-child:last-child {
      width: 100%;
    }
  }
}

.bottomNavText {
  display: flex;
  flex-direction: column;
}

.bottomNavMeta {
  font-size: var(--font-size-xs);
  text-transform: uppercase;
  letter-spacing: 0.1em;
  color: var(--color-text-weaker);
  line-height: 1.1;
}

.bottomNavName {
  font-size: var(--font-size-l);
  font-weight: 500;

  @include smaller-than-s {
    font-size: var(--font-size-m);
  }
}

.bottomNavIcon {
  color: var(--color-brand-base);
  font-size: 26px;
}

// METHODOLOGY LINK
.methodologyLink {
  //margin-top: var(--space-s);
}